## qbittorrent 4.6.6

=== debian/changelog ===
qbittorrent (4.6.6-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Aug 2024 21:15:46 -0700

qbittorrent (4.6.5-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to Qt5 builds.
  * Restore systemd as alternative build-dep.
  * Don't build-depend on particular minver of libboost-dev.
  * Add qtbase5-private-dev to build-depends to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 30 May 2024 17:24:01 -0700
