=== debian/changelog ===
qbittorrent (4.6.7-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Build against Qt 5 and system's default libboost-dev instead of 1.83~.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Sep 2024 09:02:50 -0700

qbittorrent (4.6.7-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 17 Sep 2024 08:32:13 +0200

qbittorrent (4.6.6-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 20 Aug 2024 08:53:31 +0200
