=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://www.qbittorrent.org/
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libboost-dev,
-               libqt5svg5-dev (>= 5.15.0),
+               libboost-dev (>= 1.71~),
+               libqt5svg5-dev (>= 5.15.2),
                libtorrent-rasterbar-dev (>= 2.0.9~),
                libxkbcommon-dev,
                ninja-build,
-               qtbase5-private-dev (>= 5.15.0),
+               qtbase5-private-dev (>= 5.15.2),
                qttools5-dev,
                qttools5-dev-tools,
                systemd-dev | systemd,
