## qbittorrent 5.0.0

=== debian/changelog ===
qbittorrent (5.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 30 Sep 2024 08:23:22 +0200
