## qbittorrent 5.0.1

=== debian/changelog ===
qbittorrent (5.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 29 Oct 2024 09:03:59 +0100
