## qbittorrent 5.0.3

=== debian/changelog ===
qbittorrent (5.0.3-2) unstable; urgency=medium

  * qbittorrent should Depends on qt6-svg-plugins instead of libqt6svg6

 -- Christian Marillat <marillat@debian.org>  Sun, 05 Jan 2025 11:40:34 +0100

qbittorrent (5.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 18 Dec 2024 02:44:45 +0100

qbittorrent (5.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 18 Nov 2024 08:16:23 +0100
