=== debian/changelog ===
qbittorrent (5.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 19 Feb 2025 01:35:24 +0100
