=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: qbittorrent
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite, libqt6svg6,
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt6sql6-sqlite, qt6-svg-plugins,
 Description: bittorrent client based on libtorrent-rasterbar with a Qt5 GUI
  BitTorrent client written in C++ and based on libtorrent-rasterbar with a
  Qt5 user interface. qBittorrent is a feature rich but lightweight client
