=== src/base/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,13 @@
 add_library(qbt_base STATIC
     # headers
     3rdparty/expected.hpp
+    addtorrentmanager.h
     algorithm.h
     applicationcomponent.h
     asyncfilestorage.h
     bittorrent/abstractfilestorage.h
     bittorrent/addtorrentparams.h
+    bittorrent/announcetimepoint.h
     bittorrent/bandwidthscheduler.h
     bittorrent/bencoderesumedatastorage.h
     bittorrent/cachestatus.h
@@ -13,6 +15,7 @@
     bittorrent/common.h
     bittorrent/customstorage.h
     bittorrent/dbresumedatastorage.h
+    bittorrent/downloadpathoption.h
     bittorrent/downloadpriority.h
     bittorrent/extensiondata.h
     bittorrent/filesearcher.h
@@ -20,9 +23,7 @@
     bittorrent/infohash.h
     bittorrent/loadtorrentparams.h
     bittorrent/ltqbitarray.h
-    bittorrent/ltqhash.h
     bittorrent/lttypecast.h
-    bittorrent/magneturi.h
     bittorrent/nativesessionextension.h
     bittorrent/nativetorrentextension.h
     bittorrent/peeraddress.h
@@ -32,15 +33,25 @@
     bittorrent/session.h
     bittorrent/sessionimpl.h
     bittorrent/sessionstatus.h
+    bittorrent/sharelimitaction.h
     bittorrent/speedmonitor.h
+    bittorrent/sslparameters.h
     bittorrent/torrent.h
     bittorrent/torrentcontenthandler.h
     bittorrent/torrentcontentlayout.h
-    bittorrent/torrentcreatorthread.h
+    bittorrent/torrentcontentremoveoption.h
+    bittorrent/torrentcontentremover.h
+    bittorrent/torrentcreationmanager.h
+    bittorrent/torrentcreationtask.h
+    bittorrent/torrentcreator.h
+    bittorrent/torrentdescriptor.h
     bittorrent/torrentimpl.h
     bittorrent/torrentinfo.h
     bittorrent/tracker.h
     bittorrent/trackerentry.h
+    bittorrent/trackerentrystatus.h
+    concepts/explicitlyconvertibleto.h
+    concepts/stringable.h
     digest32.h
     exceptions.h
     global.h
@@ -52,10 +63,8 @@
     http/responsegenerator.h
     http/server.h
     http/types.h
-    iconprovider.h
     indexrange.h
     interfaces/iapplication.h
-    interfaces/istringable.h
     logger.h
     net/dnsupdater.h
     net/downloadhandlerimpl.h
@@ -85,6 +94,7 @@
     search/searchhandler.h
     search/searchpluginmanager.h
     settingsstorage.h
+    tag.h
     tagset.h
     torrentfileguard.h
     torrentfileswatcher.h
@@ -93,21 +103,25 @@
     unicodestrings.h
     utils/bytearray.h
     utils/compare.h
+    utils/datetime.h
     utils/foreignapps.h
     utils/fs.h
     utils/gzip.h
     utils/io.h
     utils/misc.h
     utils/net.h
+    utils/number.h
     utils/os.h
     utils/password.h
     utils/random.h
+    utils/sslkey.h
     utils/string.h
     utils/thread.h
     utils/version.h
     version.h
 
     # sources
+    addtorrentmanager.cpp
     applicationcomponent.cpp
     asyncfilestorage.cpp
     bittorrent/abstractfilestorage.cpp
@@ -117,12 +131,12 @@
     bittorrent/categoryoptions.cpp
     bittorrent/customstorage.cpp
     bittorrent/dbresumedatastorage.cpp
+    bittorrent/downloadpathoption.cpp
     bittorrent/downloadpriority.cpp
     bittorrent/filesearcher.cpp
     bittorrent/filterparserthread.cpp
     bittorrent/infohash.cpp
     bittorrent/ltqbitarray.cpp
-    bittorrent/magneturi.cpp
     bittorrent/nativesessionextension.cpp
     bittorrent/nativetorrentextension.cpp
     bittorrent/peeraddress.cpp
@@ -131,13 +145,19 @@
     bittorrent/resumedatastorage.cpp
     bittorrent/sessionimpl.cpp
     bittorrent/speedmonitor.cpp
+    bittorrent/sslparameters.cpp
     bittorrent/torrent.cpp
     bittorrent/torrentcontenthandler.cpp
-    bittorrent/torrentcreatorthread.cpp
+    bittorrent/torrentcontentremover.cpp
+    bittorrent/torrentcreationmanager.cpp
+    bittorrent/torrentcreationtask.cpp
+    bittorrent/torrentcreator.cpp
+    bittorrent/torrentdescriptor.cpp
     bittorrent/torrentimpl.cpp
     bittorrent/torrentinfo.cpp
     bittorrent/tracker.cpp
     bittorrent/trackerentry.cpp
+    bittorrent/trackerentrystatus.cpp
     exceptions.cpp
     http/connection.cpp
     http/httperror.cpp
@@ -145,7 +165,6 @@
     http/responsebuilder.cpp
     http/responsegenerator.cpp
     http/server.cpp
-    iconprovider.cpp
     logger.cpp
     net/dnsupdater.cpp
     net/downloadhandlerimpl.cpp
@@ -173,23 +192,28 @@
     search/searchhandler.cpp
     search/searchpluginmanager.cpp
     settingsstorage.cpp
+    tag.cpp
     tagset.cpp
     torrentfileguard.cpp
     torrentfileswatcher.cpp
     torrentfilter.cpp
     utils/bytearray.cpp
     utils/compare.cpp
+    utils/datetime.cpp
     utils/foreignapps.cpp
     utils/fs.cpp
     utils/gzip.cpp
     utils/io.cpp
     utils/misc.cpp
     utils/net.cpp
+    utils/number.cpp
     utils/os.cpp
     utils/password.cpp
     utils/random.cpp
+    utils/sslkey.cpp
     utils/string.cpp
     utils/thread.cpp
+    utils/version.cpp
 )
 
 target_link_libraries(qbt_base
@@ -208,9 +232,9 @@
 )
 
 if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
+    find_library(AppKit_LIBRARY AppKit)
+    find_library(Carbon_LIBRARY Carbon)
     find_library(IOKit_LIBRARY IOKit)
-    find_library(Carbon_LIBRARY Carbon)
-    find_library(AppKit_LIBRARY AppKit)
 
     target_link_libraries(qbt_base PRIVATE
         ${AppKit_LIBRARY}
@@ -218,7 +242,7 @@
         ${IOKit_LIBRARY}
     )
 elseif (CMAKE_SYSTEM_NAME STREQUAL "Windows")
-    target_link_libraries(qbt_base PRIVATE Iphlpapi)
+    target_link_libraries(qbt_base PRIVATE Iphlpapi PowrProf)
 endif()
 
 if (NOT GUI)
