=== debian/changelog ===
qbittorrent (5.1.0-2) unstable; urgency=medium

  * Add two patches from 5.1.2 version to fix security issues: WebAPI, Rss
    and Search modules (Closes: #1108843)

 -- Christian Marillat <marillat@debian.org>  Sun, 06 Jul 2025 16:40:13 +0200

qbittorrent (5.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 28 Apr 2025 09:24:06 +0200

qbittorrent (5.0.5-1) unstable; urgency=medium

  * New upstream bugfixe release.

 -- Christian Marillat <marillat@debian.org>  Mon, 14 Apr 2025 00:25:47 +0200
