## qbittorrent 5.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,13 @@
 )
 
 # version requirements - older versions may work, but you are on your own
-set(minBoostVersion 1.71)
-set(minQt5Version 5.15.2)
-set(minQt6Version 6.2)
-set(minOpenSSLVersion 1.1.1)
+set(minBoostVersion 1.76)
+set(minQt6Version 6.5.0)
+set(minOpenSSLVersion 3.0.2)
 set(minLibtorrent1Version 1.2.19)
-set(minLibtorrentVersion 2.0.9)
+set(minLibtorrentVersion 2.0.10)
 set(minZlibVersion 1.2.11)
 
-include(CheckCXXSourceCompiles) # TODO: migrate to CheckSourceCompiles in CMake >= 3.19
 include(GNUInstallDirs)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules)
@@ -25,7 +23,6 @@
 # features, list is loosely sorted by user's interests
 feature_option(GUI "Build GUI application" ON)
 feature_option(WEBUI "Enable built-in HTTP server for remote control" ON)
-feature_option(QT6 "Build with Qt 6 instead of Qt 5" OFF)
 feature_option(STACKTRACE "Enable stacktrace support" ON)
 feature_option(TESTING "Build internal testing suite" OFF)
 feature_option(VERBOSE_CONFIGURE "Show information about PACKAGES_FOUND and PACKAGES_NOT_FOUND in the configure output (only useful for debugging the CMake build scripts)" OFF)
