=== debian/changelog ===
qbittorrent (5.1.2-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 26 Oct 2025 21:36:46 -0700

qbittorrent (5.1.2-1~bpo13+1) trixie-backports; urgency=medium

  * Upload to trixie-backports

 -- Christian Marillat <marillat@debian.org>  Fri, 19 Sep 2025 22:09:51 +0200

qbittorrent (5.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 07 Jul 2025 15:11:03 +0200
