=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory build-nox -- \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-	-DGUI=OFF -DQT6=OFF -DSYSTEMD=ON -DTESTING=ON
+	-DGUI=OFF -DQT6=ON -DSYSTEMD=ON -DTESTING=ON
 
 	dh_auto_configure --builddirectory build-gui -- \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-	-DQT6=OFF -DTESTING=ON
+	-DQT6=ON -DTESTING=ON
 
 #	exit 1
 
@@ -43,5 +43,5 @@
 
 # No dbgsym packages:
 override_dh_strip:
-	@echo "not building dbgsym packages for MX Linux"
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym
